mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by .

Specifies the type of clipboard access that is allowed to the calling code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionClipboard To be added

  Clipboard can be used without restriction.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionClipboard To be added

  Clipboard cannot be used.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionClipboard To be added

  The ability to put data on the clipboard (Copy, Cut) is unrestricted. Intrinsic controls that accept Paste, such as text box, can accept the clipboard data, but user controls that must programmatically read the clipboard cannot.